Subject: [Bmcu] Interest in karting?

From: Kevin Cowan <[email-masked]>
Date: Sun, 22 Feb 2015 19:15:59 -0700

Those at last months planning meeting may remember a discussion of a club go karting activity at Miller Motor sports go kart facility.  Member Bill Davis has looked into it and we have a really fun sounding activity, let me or Bill know if you are interested.  See Bill's message below for details but the key points are;

What is it? - A group drive to the Miller Motor Sports track, a guided tour of the fabulous Miller Museum, and a bunch of time on the Kart track

When - TBD but probably March or April, the day of week will be a Saturday or Sunday

Cost - $25 to $50 for a 1 hour group session.  $0 is you just want to tour and watch the racing

What will it take? - 10 or more brave souls. 

Will we do it?  - You tell me.  Email me or Bill if you want to do this.  Let us know how many may come and we will work on it. 

Kevin
----------------------------------------------------------------------------------------------------

>>> 
>>> Kevin
>>>  Did some investigating of karting and leagues. Not sure a league would work because you pick a regular date and time for your league to drive. A better option would be to do a track rental. An hour is $500 with a maximum of 10 carts/race. If you have 10 people then it is $50/person which is a good deal because normally a 3 pack as I call them i.e. three 10 minute sessions are $48. If there are other groups there you have to wait so 3 ten minute sessions can easily take well over an hour. If we can get more than 10 people the price obviously drops. 20 people would be $25/person and you would have almost as much track time. If we got over 10 people we could do some elimination races and have a finale. All of the carts have sensors so your track times are recorded so it is easy to determine flights for eliminations. It records fastest lap time, average lap time plus each individual lap time. 
>>> 
>>>  I have a regular group of folks that go so the BMCU doesn't have to come up with 10 + people but it would be nice. Once you start karting it is sort of addictive. 
>>> 
>>>  Once the season starts (March) it is difficult to reserve the track on short notice so it is best to do it as far in advance as possible. I would say at least a month.
>>> 
>>>  Let me know what you think.
>>> 
>>> Best
>>> Bill
> 
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive